{% extends "base.html" %}

{% block style %}{% spaceless %}
{{ block.super }}
{% if event_style_file %}
<link href="{{ event_style_file }}" rel="stylesheet" />
{% endif %}
{% if event_style %}
<style>
	{{ event_style | safe }}
</style>
{% endif %}
{% endspaceless %}{% endblock %}

{% block title %}{% if event %}{{ event.name }}{% else %}{{ block.super }}{% endif %}{% endblock %}

{% block site_script %}{% spaceless %}
	{{ block.super }}
	{% if event_script_file %}
		<script src="{{ event_script_file }}" defer></script>
	{% endif %}
	{% if event_script %}
		<script defer>{{ event_script | safe }}</script>
	{% endif %}
{% endspaceless %}{% endblock %}

{% block topbar_title %}
{% with event_name=event.name|default:"Select Event" %}
{% with super_index_view=index_view|default:'index' super_index_name=index_name|default:event_name %}
{% if other_events %}
<div class="navbar-brand">
	<div class="btn-group dropdown">
		<a class="btn btn-outline-secondary" href="{% url super_index_view %}">{{ super_index_name }}</a>
		<button
			class="btn-outline-secondary dropdown-toggle dropdown-toggle-split"
			id="event-menu"
			type="button"
			data-bs-toggle="dropdown"
			aria-haspopup="true"
			aria-expanded="false"
		>
			<span class="visually-hidden">Toggle Dropdown of Events</span>
		</button>
		<ul class="dropdown-menu" aria-labelledby="event-menu">
			<li><a class="dropdown-item" href="{% url super_index_view %}">{{ event.name }}</a></li>
			<li><div class="dropdown-divider"></div></li>
			{% for ev in other_events %}
			<li><a class="dropdown-item" href="{{ ev.url }}{% url super_index_view %}">{{ ev.name }}</a></li>
			{% endfor %}
		</ul>
	</div>
</div>
{% else %}
<a class="btn btn-outline-secondary" href="{% url super_index_view %}">{{ super_index_name }}</a>
{% endif %}
{% endwith %}
{% endwith %}
{% endblock %}

{% block topbar_left %}
	{% if event %}
		<li class="nav-item"><a class="nav-link" href="{% url 'about' %}">About</a></li>
		<li class="nav-item"><a class="nav-link" href="{% url 'rules' %}">Rules</a></li>
		<li class="nav-item"><a class="nav-link" href="{% url 'help' %}">Help</a></li>
		{% if event.is_over or is_admin %}
		<li class="nav-item"><a class="nav-link" href="{% url 'player_stats' %}">Stats</a></li>
		{% endif %}
	{% endif %}
{% endblock %}
